function [score, table, var_wn] = md_mpc(u,e,kmax,n_wn,wn0,d_wn,count)
%
%	MD_MPC f\~X}b`o
%
%	Output:
%		score	: ~X}b`_
%		table	: XebvCY@ɂđIꂽϐ̐
%		var_wn	: FG̕U
%	Input:
%		u		: vg
%		e		: fc
%		kmax	: l͂̉ߋXebv
%		n_wn	: FG̃x
%		wn0		: Jn̔FG̕U
%		d_wn	: FG̕U
%		count	: XebvCY@̓Kp
%		
%	--- update history ---
%	MD_MPC version 0.0
%		original program
%		(03/28,2010) Y. Shigi
%	MD_MPC version 1.0
%		(06/12,2010) M. Kano
%
%	Copyright (C) 2010 Yohei Shigi, Manabu Kano.
%	All rights reserved. 
%	{vOі{vOύXvO̍Ĕzzւ܂D
%


subtab = zeros(n_wn,size(u,2)*size(e,2));

for kk = 1:count;
	
	num_sel   = zeros(size(e,2),size(u,2));
	table_sel = zeros(n_wn,size(e,2)*size(u,2));
	var_wn    = zeros(n_wn,1);
	%----- iteration by changing variance of white noise -----	
	for h = 1:n_wn
	    var_wn(h) = d_wn*(h-1)+wn0;
	    ee = e+randn(size(e,1),size(e,2))*sqrt(var_wn(h));
	    us = autoscale(u);
	    es = autoscale(ee);
	    [Uaug,Eaug] = augment_data(us,es,kmax);
	    inmod = 1:size(us,2);
	    for i = 1:size(es,2)
	        [~,~,~,in] = stepwisefit(Uaug,Eaug(:,i),'inmodel',inmod,'scale','off','penter',0.005,'premove',0.01,'display','off');
	        for j = 1:size(us,2)
	            num_sel(i,j) = size(find(in((j-1)*kmax+1:j*kmax)),2);
			end
		end
	    for k = 1:size(e,2)
	        for l = 1:size(u,2)
				table_sel(h,l+size(u,2)*(k-1)) = num_sel(k,l);
			end
		end
	end
	%----- end of iteration -----		
	subtab = subtab + table_sel;
end

table = round(subtab/count);
score = sum(table(2:end,:))*d_wn;

